#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	parted
Version		:	3.5
Release		:	14.8.0.0%{?dist}
Summary		:	The GNU disk partition manipulation program
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLV3+
URL		:	http://www.gnu.org/software/parted

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
%description
The GNU Parted library is a set of routines for hard disk partition
manipulation. If you want to develop programs that manipulate disk
partitions and filesystems using the routines provided by the GNU
Parted library, you need to install this package.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%{_includedir}/%{name}/*.h
%{_sbindir}/%{name}
%{_sbindir}/partprobe
%{_libdir}/lib%{name}*.{la,so*}
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/pkgconfig/lib%{name}-fs-resize.pc
%{_infodir}/%{name}.info.gz
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_mandir}/man8/*.8.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--disable-device-mapper				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
%{__rm} -fr %{buildroot}%{_infodir}/dir

#-----------------------------------------------------------------------------
%changelog
